Trillet AI logo

Delete Conversation

Permanently delete a conversation and its messages.

DELETEhttps://api.trillet.ai/v1/api/conversations/{conversationId}

The conversation is hard-deleted and can't be recovered. Only conversations whose message flow is in this workspace can be deleted.

Headers

x-workspace-idstringrequired

Workspace identifier for the API.

Path Parameters

conversationIdstringrequired

The _id of the conversation to delete.

Response Fields

statusstring

success.

messagestring

A description of the result.

conversationIdstring

The ID of the deleted conversation.

Errors

StatusBodyWhen
400{"error": "Workspace ID is required"}No x-workspace-id
500{"error": "..."}Unexpected server error
{
  "status": "success",
  "message": "Conversation with ID b9b9b9b9b9b9b9b9b9b9b9b9 deleted successfully.",
  "conversationId": "b9b9b9b9b9b9b9b9b9b9b9b9"
}

Last updated on